//
// CDDL HEADER START
//
// The contents of this file are subject to the terms of the Common Development
// and Distribution License Version 1.0 (the "License").
//
// You can obtain a copy of the license at
// http://www.opensource.org/licenses/CDDL-1.0.  See the License for the
// specific language governing permissions and limitations under the License.
//
// When distributing Covered Code, include this CDDL HEADER in each file and
// include the License file in a prominent location with the name LICENSE.CDDL.
// If applicable, add the following below this CDDL HEADER, with the fields
// enclosed by brackets "[]" replaced with your own identifying information:
//
// Portions Copyright (c) [yyyy] [name of copyright owner]. All rights reserved.
//
// CDDL HEADER END
//

//
// Copyright (c) 2016--2019, Regents of the University of Minnesota.
// All rights reserved.
//
// Contributors:
//    Ryan S. Elliott
//

//
// Release: This file is part of the kim-api-2.0.2 package.
//


#ifndef KIM_LANGUAGE_NAME_HPP_
#include "KIM_LanguageName.hpp"
#endif

#ifndef KIM_SHARED_LIBRARY_SCHEMA_HPP_
#include "KIM_SharedLibrarySchema.hpp"
#endif

using namespace KIM::SHARED_LIBRARY_SCHEMA;

extern "C" {
// clang-format off
int kim_shared_library_schema_version = 1;


extern unsigned int const kim_simulator_model_json_len;
extern unsigned char const kim_simulator_model_json[];
static SharedLibrarySchemaV1::EmbeddedFile const metadataFile =
  {"kim-simulator-model.json", kim_simulator_model_json_len, kim_simulator_model_json};

extern unsigned int const Si_tersoff_mod_len;
extern unsigned char const Si_tersoff_mod[];
static SharedLibrarySchemaV1::EmbeddedFile const parameterFiles[] = {
  {"Si.tersoff.mod", Si_tersoff_mod_len, Si_tersoff_mod} };

SharedLibrarySchemaV1 kim_shared_library_schema = {
    "2.0.2+GNU",  // KIM API Version
    SharedLibrarySchemaV1::SIMULATOR_MODEL,  // Item Type
    "ex_sim_model_Si_mod_tersoff",  // Item Name
    KIM::LANGUAGE_NAME::cpp,  // Create Routine Language
    NULL,  // Create Routine Name
    NULL,  // Item Driver Name
    1,  // Number of Parameter Files
    parameterFiles,  // Embedded Parameter Files
    &metadataFile  // Embedded Metadata File
};
}
// clang-format on
